UM .NET API 6.17.1

- Main Page
- Related Pages
- Packages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
com.latencybusters.lbm.UMQIndexInfo Class Reference

UMQIndexInfo class. More...

## Public Member Functions
| UMQIndexInfo (byte[] index, int length)
| Creates a UMQIndexInfo object using specified (arbitrary, user-specified) data. More...
| UMQIndexInfo (UInt64 index)
| Creates a numeric UMQIndexInfo object using the specified 64-bit unsigned index number. More...
| UMQIndexInfo ()
| Default constructor.
int | flags ()
| Returns flags for this UMQIndexInfo object. More...
byte[] | index ()
| Returns data index for this UMQIndexInfo object. Throws an LBMEInvalException if the UMQIndexInfo object is numeric. More...
UInt64 | numericIndex ()
| Returns 64-bit unsigned numeric index for this UMQIndexInfo object. Throws an LBMEInvalException if the index is not numeric. More...
int | indexLength ()
| Returns length of non-numeric index. Throws an LBMEInvalException if index is numeric. More...
void | setIndex (byte[] index, int length)
| Sets data index to specified data. Index length must be greater than 0 and less than or equal to LBM.UMQ_MAX_INDEX_LEN. More...
void | setNumericIndex (UInt64 index)
| Sets index to specified numeric index. More...

## Detailed Description

UMQIndexInfo class.

## Constructor & Destructor Documentation

com.latencybusters.lbm.UMQIndexInfo.UMQIndexInfo | ( | byte[] | index,
|  | int | length
| ) |  |

Creates a UMQIndexInfo object using specified (arbitrary, user-specified) data.

Parameters

  index | Index data.
  length | Length of index data (must be greater than 0 and less than or equal to LBM.UMQ_MAX_INDEX_LEN)

com.latencybusters.lbm.UMQIndexInfo.UMQIndexInfo | ( | UInt64 | index | ) |

Creates a numeric UMQIndexInfo object using the specified 64-bit unsigned index number.

Parameters

  index | Numeric index.

## Member Function Documentation

int com.latencybusters.lbm.UMQIndexInfo.flags | ( |  | ) |

Returns flags for this UMQIndexInfo object.

Returns
  Flags.

Referenced by com.latencybusters.lbm.LBMReceiver.indexRelease(), com.latencybusters.lbm.LBMWildcardReceiver.indexRelease(), com.latencybusters.lbm.LBMSource.send(), and com.latencybusters.lbm.LBMContext.send().

byte [] com.latencybusters.lbm.UMQIndexInfo.index | ( |  | ) |

Returns data index for this UMQIndexInfo object. Throws an LBMEInvalException if the UMQIndexInfo object is numeric.

Returns
  Index data.

References com.latencybusters.lbm.LBM.UMQ_INDEX_FLAG_NUMERIC.

Referenced by com.latencybusters.lbm.LBMReceiver.indexRelease(), com.latencybusters.lbm.LBMWildcardReceiver.indexRelease(), com.latencybusters.lbm.LBMSource.send(), and com.latencybusters.lbm.LBMContext.send().

int com.latencybusters.lbm.UMQIndexInfo.indexLength | ( |  | ) |

Returns length of non-numeric index. Throws an LBMEInvalException if index is numeric.

Returns
  Length of index data.

References com.latencybusters.lbm.LBM.UMQ_INDEX_FLAG_NUMERIC.

Referenced by com.latencybusters.lbm.LBMReceiver.indexRelease(), com.latencybusters.lbm.LBMWildcardReceiver.indexRelease(), com.latencybusters.lbm.LBMSource.send(), and com.latencybusters.lbm.LBMContext.send().

UInt64 com.latencybusters.lbm.UMQIndexInfo.numericIndex | ( |  | ) |

Returns 64-bit unsigned numeric index for this UMQIndexInfo object. Throws an LBMEInvalException if the index is not numeric.

Returns
  64-bit unsigned index.

References com.latencybusters.lbm.LBM.UMQ_INDEX_FLAG_NUMERIC.

Referenced by com.latencybusters.lbm.LBMReceiver.indexRelease(), com.latencybusters.lbm.LBMWildcardReceiver.indexRelease(), com.latencybusters.lbm.LBMSource.send(), and com.latencybusters.lbm.LBMContext.send().

void com.latencybusters.lbm.UMQIndexInfo.setIndex | ( | byte[] | index,
|  | int | length
| ) |  |

Sets data index to specified data. Index length must be greater than 0 and less than or equal to LBM.UMQ_MAX_INDEX_LEN.

Parameters

  index | Index data.
  length | Length of index data.

References com.latencybusters.lbm.LBM.UMQ_INDEX_FLAG_NUMERIC, and com.latencybusters.lbm.LBM.UMQ_MAX_INDEX_LEN.

void com.latencybusters.lbm.UMQIndexInfo.setNumericIndex | ( | UInt64 | index | ) |

Sets index to specified numeric index.

Parameters

  index | Numeric index (unsigned 64-bit integer)

References com.latencybusters.lbm.LBM.UMQ_INDEX_FLAG_NUMERIC.

The documentation for this class was generated from the following file:

- UMQIndexInfo.cs